\documentclass[a4paper, trou]{./tpl/ddpoly-en}
\usepackage{dirtree}
\usepackage{wasysym}
\usepackage{mathtools}
\usepackage{enumitem}
\setlist{nolistsep}

\input{macro}
\input{tpl/listing-config}

  
\graphicspath{{tpl/}{img/}}
\ddmodulename{Computer Science}
\ddmodulenumber{MiniDEM Tutorial}
\ddauthor{D. André}
\dduniv{Ensil-Ensci}
\ddimg{\begin{center}\includegraphics[width=6cm]{img/arduino-logo}\end{center}}
\rien

\begin{document}
\renewcommand{\labelitemi}{$\bullet$}
\lstset{language=granCpp,style=granCpp}  
\lstset{language=granPython,style=granPython}  

\newdemexo{04}{Adjusting Scene Dimensions}

\noindent The goal of this tutorial is to show you how to change the dimensions of the simulation scene.

\vspace{0.5cm}

\begin{task}
  Download the module \dldem{minidem.py} and the script
  \dltutodem{04}{tuto-04\_exercice.py}. Run the script
  \dltutodem{04}{tuto-04\_exercice.py}.
\end{task}

\begin{info}
At this stage, you should obtain a simulation similar to the video \dltutodem{04}{tuto-04\_exercice.mp4}.
\end{info}

\begin{task}
  Using the attributes \texttt{dem.simu.xlim} and
  \texttt{dem.simu.ylim}, adjust the dimensions of the scene to
  \texttt{(0,120)} for \textit{x} and \texttt{(0,40)} for \textit{y}.
\end{task}

\begin{task}
  Change the initial conditions of \texttt{grain\_1} according to the parameters in the diagram below where:
  \begin{itemize}
  \item $\vec{v}_{0}$ is the initial velocity
    \item $r$ is the radius of the grain
  \end{itemize}
\end{task}

\begin{center}
  \svgb{1\linewidth}{./img/tuto-minidem_04.pdf_tex}
\end{center}

\begin{task}
  Change the number of iterations to \texttt{5000}.
\end{task}

\begin{task}
  Modify the function \texttt{rigid\_wall()} to adapt the positions of the rigid walls
  to these new scene dimensions.
\end{task}

\begin{info}
  At this stage, you should obtain a simulation similar to the video \dltutodem{04}{tuto-04\_correction.mp4}.
\end{info}

\end{document}
